Bug 200050 - Deprecate WKContextGetWebsiteDataStore
Summary: Deprecate WKContextGetWebsiteDataStore
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on: 201480
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-23 15:23 PDT by Alex Christensen
Modified: 2019-09-07 15:54 PDT (History)
13 users (show)

See Also:


Attachments
Patch (38.00 KB, patch)
2019-07-23 15:27 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (2.94 MB, application/zip)
2019-07-23 16:45 PDT, Build Bot
no flags Details
Patch (72.44 KB, patch)
2019-08-02 17:51 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (74.99 KB, patch)
2019-08-02 19:17 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (75.22 KB, patch)
2019-08-02 19:40 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (421.83 KB, application/zip)
2019-08-02 20:38 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-highsierra (424.35 KB, application/zip)
2019-08-02 20:47 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews210 for win-future (12.98 MB, application/zip)
2019-08-02 20:57 PDT, Build Bot
no flags Details
Patch (89.98 KB, patch)
2019-09-06 13:14 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (86.21 KB, patch)
2019-09-06 21:02 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (99.18 KB, patch)
2019-09-06 23:02 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2019-07-23 15:23:08 PDT
Deprecate WKContextGetWebsiteDataStore
Comment 1 Alex Christensen 2019-07-23 15:27:00 PDT
Created attachment 374715 [details]
Patch
Comment 2 Geoffrey Garen 2019-07-23 16:44:29 PDT
Comment on attachment 374715 [details]
Patch

If this API isn't used at all anymore on some group of OS's, wouldn't it be better to remove it completely (but optionally continue to compile it into the binary if needed for some backward-compatible case)?
Comment 3 Build Bot 2019-07-23 16:45:19 PDT
Comment on attachment 374715 [details]
Patch

Attachment 374715 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12797239

New failing tests:
http/tests/IndexedDB/storage-limit-2.https.html
http/tests/IndexedDB/storage-limit-1.https.html
Comment 4 Build Bot 2019-07-23 16:45:21 PDT
Created attachment 374734 [details]
Archive of layout-test-results from ews106 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 5 Alex Christensen 2019-07-23 16:52:44 PDT
(In reply to Geoffrey Garen from comment #2)
> Comment on attachment 374715 [details]
> Patch
> 
> If this API isn't used at all anymore on some group of OS's, wouldn't it be
> better to remove it completely (but optionally continue to compile it into
> the binary if needed for some backward-compatible case)?

We still need it in the binary for open source webkit developers running their webkit with shipping safari.
Comment 6 Alex Christensen 2019-07-23 18:45:45 PDT
rdar://problem/53476085 needs to be fixed before this.
Comment 7 Alex Christensen 2019-08-02 17:51:08 PDT
Created attachment 375472 [details]
Patch
Comment 8 Build Bot 2019-08-02 17:53:18 PDT
Attachment 375472 [details] did not pass style-queue:


ERROR: Source/WebKit/UIProcess/API/C/WKWebsiteDataStoreConfigurationRef.h:26:  Use #pragma once instead of #ifndef for header guard.  [build/header_guard] [5]
Total errors found: 1 in 22 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Alex Christensen 2019-08-02 19:17:52 PDT
Created attachment 375475 [details]
Patch
Comment 10 Build Bot 2019-08-02 19:20:50 PDT
Attachment 375475 [details] did not pass style-queue:


ERROR: Source/WebKit/UIProcess/API/C/WKWebsiteDataStoreConfigurationRef.h:26:  Use #pragma once instead of #ifndef for header guard.  [build/header_guard] [5]
Total errors found: 1 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 11 Alex Christensen 2019-08-02 19:40:53 PDT
Created attachment 375478 [details]
Patch
Comment 12 Build Bot 2019-08-02 19:42:58 PDT
Attachment 375478 [details] did not pass style-queue:


ERROR: Source/WebKit/UIProcess/API/C/WKWebsiteDataStoreConfigurationRef.h:26:  Use #pragma once instead of #ifndef for header guard.  [build/header_guard] [5]
Total errors found: 1 in 25 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 13 Build Bot 2019-08-02 20:38:19 PDT
Comment on attachment 375478 [details]
Patch

Attachment 375478 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12855871

Number of test failures exceeded the failure limit.
Comment 14 Build Bot 2019-08-02 20:38:21 PDT
Created attachment 375480 [details]
Archive of layout-test-results from ews101 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 15 Build Bot 2019-08-02 20:47:41 PDT
Comment on attachment 375478 [details]
Patch

Attachment 375478 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/12855855

Number of test failures exceeded the failure limit.
Comment 16 Build Bot 2019-08-02 20:47:42 PDT
Created attachment 375481 [details]
Archive of layout-test-results from ews115 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 17 Build Bot 2019-08-02 20:57:12 PDT
Comment on attachment 375478 [details]
Patch

Attachment 375478 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12855870

Number of test failures exceeded the failure limit.
Comment 18 Build Bot 2019-08-02 20:57:14 PDT
Created attachment 375482 [details]
Archive of layout-test-results from ews210 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews210  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 19 Alex Christensen 2019-09-06 13:14:40 PDT
Created attachment 378224 [details]
Patch
Comment 20 Alex Christensen 2019-09-06 21:02:47 PDT
Created attachment 378275 [details]
Patch
Comment 21 Alex Christensen 2019-09-06 23:02:31 PDT
Created attachment 378280 [details]
Patch
Comment 22 Alex Christensen 2019-09-07 09:04:14 PDT
http://trac.webkit.org/r249614
Comment 23 Radar WebKit Bug Importer 2019-09-07 09:06:07 PDT
<rdar://problem/55146336>
Comment 24 Alex Christensen 2019-09-07 14:46:01 PDT
http://trac.webkit.org/r249616
Comment 25 Alex Christensen 2019-09-07 15:54:35 PDT
http://trac.webkit.org/r249619